#
# spec file for package python3-Authomatic
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-Authomatic
Version:        0.1.0.post1
Release:        1.6
License:        MIT
Summary:        Authorization / authentication client library for Python web applications
Url:            http://peterhudec.github.io/authomatic
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/A/Authomatic/Authomatic-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Testing requirements: disabled
#BuildRequires:  python3-Flask
#BuildRequires:  python3-pyramid
#BuildRequires:  python3-pytest
#BuildRequires:  python3-selenium
#BuildRequires:  python3-pyOpenSSL
#BuildRequires:  python3-python3-openid
Requires:       python3-python3-openid
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
**Authomatic** is a **framework agnostic** library
for **Python** web applications
with a **minimalistic** but **powerful** interface
which simplifies **authentication** of users
by third party providers like **Facebook** or **Twitter**
through standards like **OAuth** and **OpenID**.

Read the exhaustive documentation at http://peterhudec.github.io/authomatic.

%prep
%setup -q -n Authomatic-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#PYTHONPATH=%{buildroot}%{python3_sitelib} py.test tests/functional_tests

%files
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE.txt README.rst
%{python3_sitelib}/*

%changelog
* Mon Feb 20 2017 hpj@urpla.net
- version 0.1.0.post1: initial build
